Bug 119477 - No highlighted text in ListBox when focused
Summary: No highlighted text in ListBox when focused
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-24 12:32 UTC by Jan-Marek Glogowski
Modified: 2018-10-11 11:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Marek Glogowski 2018-08-24 12:32:41 UTC
This is a regression introduced by commit 3f31455fdd10 ("tdf#109353 - Base: Listbox doesn't show a value."), which tried to fix my rollover handling from commit 3f94cf15f9bb ("Fix focus and rollover for vcl::ListBox") in KDE.

The commit fixes KDE but breaks at least Windows and the gen plugin.

Now I'm not sure if rollover for a focused widget makes much sense.

My implementation drops the rollover highlight when focused and just draw the focused text highlighted, if focus rects are actually supported by the platform.

This needs review on all platforms and VCL plugins.

Patches for master are already commited. I'll post a backport, if it's ok for all platforms.

 - https://gerrit.libreoffice.org/59488
 - https://gerrit.libreoffice.org/59549
Comment 1 Jan-Marek Glogowski 2018-08-24 12:40:11 UTC
Quick test: start the LO math module (soffice --math) and click on the binary operators list box.
Comment 2 Jan-Marek Glogowski 2018-08-24 13:16:17 UTC
If someone wants to test on 6.1, the current state of the backports is here:

 - https://gerrit.libreoffice.org/59563
 - https://gerrit.libreoffice.org/59564
Comment 3 Commit Notification 2018-08-29 14:46:49 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8bf10d8123276cd9b9cb73f4fc595bba8d29c2f&h=libreoffice-6-1

tdf#119477 fix list box focused text color

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-10-11 11:38:00 UTC
A polite ping to Jan-Marek Glogowski:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks